Bug 864075 - F18/setroubleshoot: gui is not completely localized
F18/setroubleshoot: gui is not completely localized
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: setroubleshoot (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-08 10:03 EDT by Kiyoto Hashida
Modified: 2013-04-24 17:37 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-24 15:42:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kiyoto Hashida 2012-10-08 10:03:22 EDT
Description of problem:
For setroubleshoot testing: the command "sealert -b"
shows a gui with partially translated interface.

Version-Release number of selected component (if applicable):
F18/20120924-test_days-i386.iso

How reproducible:
Everytime "sealert -b" is entered.

Steps to Reproduce:
1.In the terminal, enter "sealert -b" as root.
2.Observe the resulting gui.
3.

  
Actual results:
On the first interface, "ignore" button is not Japanese.
And each button shows English explanation when pointed by the mouse.

Expected results:
All the entries and explanations should be in Japanese.


Additional info:
Comment 1 Noriko Mizumoto 2012-10-09 03:34:49 EDT
$ rpm -q setroubleshoot
setroubleshoot-3.1.16-1.fc18.x86_64

1. Run sealert -b (as normal user)
2. all strings in GUI have been translated

It seems fine my side, could you please try it again?
Comment 2 Kiyoto Hashida 2012-10-09 04:37:10 EDT
Well I had: 
$ rpm -q setroubleshoot
setroubleshoot-3.1.16-1.fc18.i686.

And after I updated the setroubleshoot with:
"yum update setroubleshoot", rpm shows:

$ rpm -q setroubleshoot
setroubleshoot-3.1.17-1.fc18.i686.

fc18.x86_64 is not the same version as the fc18.i686.
That could be the problem.

Even with the setroubleshoot-3.1.17-1.fc18.i686, the gui of
"sealert -b" shows "ignore" button in English and other 
translated buttons show some English explanations when 
the mouse is pointed.
Comment 3 Noriko Mizumoto 2012-10-09 21:26:58 EDT
Daniel

Can you have a look at this?
I thought that this was fixed with #734308 but seems not for particular arch build...

Note You need to log in before you can comment on or make changes to this bug.